Bug 183966 - newly installed x86_64 system does not boot (kernel panic)
newly installed x86_64 system does not boot (kernel panic)
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-03-04 02:24 EST by Juergen Bullinger
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-05 16:51:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juergen Bullinger 2006-03-04 02:24:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de-DE; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Hello. I installed fedora core 5 test3 on my system. After I rebooted the last message before a kernel panic was

unable to make device map for pdc_fbadjeiib

this seems to be the mapper device name for my harddisk (i only have one installed)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install fc 5.3 (with custom layout and select to format the new root device)
2. boot after install

Actual Results:  kernel panic after the following message:

unable to make device map for pdc_fbadjeiib

after that only hex dumps

Expected Results:  guess what? :o)

Additional info:

my cd medias all had a check sum error, but the downloaded images where ok (sha1sum computed to the correct values)
I had this problem also with fedora core 4 it seems to be caused by my cdrecord options with which I created the cd
But I used 4x speed, so I am pretty sure that the cd content is correct. The install process itself also produced no warnings.

Please check if you can reproduce it. 

Why does the kernel need to resolve the device name of the harddisc? Doesn't it only need to resolve the partition from which it boots?

Why do you use this mapper devices? They are a horror for me. Have you ever tried to recover a grub-install from a rescue cd?
Comment 1 Juergen Bullinger 2006-03-04 03:06:44 EST
could you please help me to recover this install?

where is the reverence to this mapper device? is it compiled in the kernel?

I would rather recompile and install a kernel on my newly installed FC5.3
partition which doesn't work at the moment as to install FC 5 Test 3 again :o(
Sorry, but it really was a nightmare.

Do you think that would work?

Are there less laborious ways which could be successfull?
Comment 2 Juergen Bullinger 2006-03-04 03:18:06 EST
I created the image using the following command:

su --command="cdrecord -v speed=4 -tao $1"
Comment 3 Juergen Bullinger 2006-03-04 03:29:05 EST
I created the image using the following command:

su --command="cdrecord -v speed=4 -tao $1"
Comment 4 Jeremy Katz 2006-03-04 11:10:24 EST
I think this is fixed post test3.  Peter -- can you verify?
Comment 5 Juergen Bullinger 2006-03-05 13:27:48 EST
In the meantime I compiled a kernel, had several fights with grub but now it
works, also with the latest kernel packages of FC5 Test 3 installed by yum update.
Comment 6 Mike Usmar 2006-03-05 21:38:35 EST
I am also having this problem.
Installing FC5-T3 onto new server, specs:
- GA-K8N51GMF-9 board, NVidia NForce Raid
- 2 x 232.88gb SATA II drives
- AMD Athlon 64 X2 Dual Core 3800+

Install works fine, but upon first reboot after install, I get this kernel 
Here is a screen shot of someone else who also has the exact same problem:

Any suggestions, and ideas when this might be fixed?
Comment 7 Juergen Bullinger 2006-03-06 04:12:54 EST
Hi, no I think it is not exactly the same bug. In my case the kernel seemed to 
miss the mapper device for the harddisk (not the partition). Why does it need 
the reference to the harddisc at all?
It really printed the name of the mapper device (/dev/mapper/...bajeiib or 
something like this) not the original name /dev/sda
Comment 8 Peter Jones 2006-03-13 16:59:33 EST
These should both be fixed in the current tree -- are either of you still having
a problem?
Comment 9 John Thacker 2006-05-05 16:51:55 EDT
Closing due to lack of response from reporters.
Comment 10 Juergen Bullinger 2006-05-05 16:59:25 EDT
No, I don't. It was a problem in one of the pre releases of fc 5. Final seems
not to be affected.

Note You need to log in before you can comment on or make changes to this bug.